package com.qmth.paper.library.common.enums;

import java.util.Objects;

/**
 * @Description 文件类型
 */
public enum FileTypeEnum {
    SYSTEM("系统文件类型"),

    CUSTOMER("用户自定义文件类型");


    private String title;

    private FileTypeEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public static String convertToName(String title) {
        for (FileTypeEnum e : FileTypeEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }

}
